const char MP0[] PROGMEM = "**MENU  PRINCIPALE**";
const char MP1[] PROGMEM = "Avanzamento";
const char MP2[] PROGMEM = "Filettatura";
const char MP3[] PROGMEM = "Movimento Libero";
const char MP4[] PROGMEM = "Velocita' mandrino";
const char MP5[] PROGMEM = "Posizione angolare";
const char* const MenuPrincipale[] PROGMEM = {MP0, MP1, MP2, MP3, MP4, MP5};


char Principale()
{
  static char current;
  char previous = 5;
  char next = 2;
  boolean stay = true;
  boolean innerstay = true;


  lcd.clear();
  lcd.setCursor(0,2);
  lcd.print(">");
  lcd.setCursor(19,2);
  lcd.print("<");
  strcpy_P(buff, (char*)pgm_read_word(&(MenuPrincipale[0])));
  lcd.setCursor(0,0);
  lcd.print(buff);
  
  while (stay)
  {
    switch (current) {
      case 0: current = 5; break;
      case 6: current = 1; break;
    }  
    previous = current - 1;
    next = current +1;
    if (previous == 0)
      previous = 5;
    if (next == 6)
      next = 1;
      
    strcpy_P(buff, (char*)pgm_read_word(&(MenuPrincipale[previous])));
    lcd.setCursor(1,1);
    lcd.print("                  ");
    lcd.setCursor(1,1);
    lcd.print(buff);
    
    strcpy_P(buff, (char*)pgm_read_word(&(MenuPrincipale[current])));
    lcd.setCursor(1,2);
    lcd.print("                  ");
    lcd.setCursor(1,2);
    lcd.print(buff);
    
    strcpy_P(buff, (char*)pgm_read_word(&(MenuPrincipale[next])));
    lcd.setCursor(1,3);
    lcd.print("                  ");
    lcd.setCursor(1,3);
    lcd.print(buff);
    
    innerstay = true;
    while (innerstay)
    {      
      if (digitalRead(SEL) == PRESSED || digitalRead(SEL2) == PRESSED) { stay = false; innerstay = false; delay(300); }
      if (analogRead(ANALOG_Y) < LOW_1) { current -= 1; innerstay = false; beepON(); }
      if (analogRead(ANALOG_Y) > HIGH_1) { current += 1; innerstay = false;  beepON(); }
    } 
    
    delay (300);
  }
  
  return current;  
}
